import {BaseClass} from "./BaseClass";
/*
*  table列
* */
export class TableLabel extends BaseClass {
  constructor(extra={}) {
    super()
    // 字段名
    this.prop = ''
    // 字段中文名
    this.title = ''
    // 列宽
    this.width = ''
    // 额外附件的class名
    this.className = ''
    // 是否可排序
    this.sort = false
    // 列类型：img、imgs
    this.type = null
    // 是否固定咧
    this.fixed = false
    // 超出是否隐藏
    this.ellipsis = true
    // 如果是图片类型，则设置图片宽高
    this.imgWidth = 100
    // 设置内容颜色，参考TableLabelColorOption
    this.colorOption = null

    this.update(extra)

  }
};
